Name:           contacts        
Version:        0.12
Release:        15%{?dist}
Summary:        Contacts addressbook

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://pimlico-project.org/contacts.html
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:         contacts-fixmake.patch

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires:  gtk2-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  desktop-file-utils
BuildRequires:  desktop-file-utils intltool gettext
BuildRequires:  libtool gnome-vfs2-devel

%description
Contacts is a small, lightweight addressbook that uses libebook. 
This is the same library that GNOME Evolution uses, so all contact data that 
exists in your Evolution database is accessible via Contacts. Contacts features 
advanced vCard field type handling and is designed for use on hand-held 
devices, such as the Nokia 770 or the Sharp Zaurus series of PDAs.

%prep
%setup -q
%patch0 -p1 -b .fixmake


%build
%configure --disable-schemas-install --enable-gconf
make %{?_smp_mflags} 
sed -i 's/SingleInstance/X-SingleInstance/' data/%{name}.desktop


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  --add-category X-Fedora                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang Contacts


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
fi


%post
umask 022
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%postun
umask 022
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%files -f Contacts.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*%{name}.desktop
%{_bindir}/contacts
%{_mandir}/man1/%{name}*


%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12-13
- Rebuild against newer evolution-data-server

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to> - 0.12-12
- Rebuild against newer evolution-data-server

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-12
- Rebuilt for glibc bug#747377

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com> - 0.12-11
- Rebuild against newer evolution-data-server

* Tue Aug 16 2011 Milan Crha <mcrha@redhat.com> - 0.12-10
- Rebuild against newer evolution-data-server

* Sun Jul 24 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12-9
- Rebuild again...

* Wed Jul 06 2011 Jesse Keating <jkeating@redhat.com> - 0.12-8
- Rebuild again...

* Tue Jun 14 2011 Jesse Keating <jkeating@redhat.com> - 0.12-7
- Rebuild again...

* Fri May 13 2011 Jesse Keating <jkeating@redhat.com> - 0.12-6
- Rebuild against new libcamel

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Milan Crha <mcrha@redhat.com> - 0.12-4
- Rebuild against newer evolution-data-server

* Wed Jan 12 2011 Milan Crha <mcrha@redhat.com> - 0.12-3
- Rebuild against newer evolution-data-server

* Mon Dec  6 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12-2
- Bump build

* Tue Sep  7 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.12-1
- New upstream 0.12 release

* Thu Jul 15 2010 Jesse Keating <jkeating@redhat.com> - 0.11-4
- Rebuild again for new libebook

* Fri Jun 25 2010 Jesse Keating <jkeating@redhat.com> - 0.11-3
- Rebuild for new evolution

* Tue May 25 2010 Jesse Keating <jkeating@redhat.com> - 0.11-2
- Rebuild for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.11-1
- New upstream 0.11 release
- Update to new upstream sources URL
- Compile against new evolution

* Thu Jan 14 2010 Jesse Keating <jkeating@redhat.com> - 0.9-5
- Add gnome-vfs2-devel to the build requirements

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 03 2008 Jesse Keating <jkeating@redhat.com> - 0.9-2
- Update for new upstream url

* Sun Aug 03 2008 Jesse Keating <jkeating@redhat.com> - 0.9-1
- New upstream release

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-3
- Autorebuild for GCC 4.3

* Thu Feb 14 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-2
- Autorebuild for GCC 4.3

* Sat Dec 22 2007 Denis Leroy <denis@poolshark.org> - 0.8-1
- Update to upstream 0.8

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 0.7-1
- Update to upstream 0.7
- Updated License tag

* Mon Jul 16 2007 Denis Leroy <denis@poolshark.org> - 0.6-1
- Update to 0.6, extra icons
- Fixed desktop file

* Sat Jun  2 2007 Denis Leroy <denis@poolshark.org> - 0.5-1
- Update to 0.5
- Updated dependencies
- Added icon cache and desktop database scripts

* Fri Dec 15 2006 Jesse Keating <jkeating@redhat.com> - 0.2-1
- build for 0.2

* Mon Oct 30 2006 Jesse Keating <jkeating@redhat.com> - 0.1-6.20060813svn
- rebuild for new eds

* Sun Aug 27 2006 Jesse Keating <jkeating@redhat.com> - 0.1-5.20060813svn
- rebuild

* Sun Aug 11 2006 Jesse Keating <jkeating@redhat.com> - 0.1-4.20060813svn
- Pull an SVN snapshot for e-d-s fixes (among other things)

* Fri Jun 09 2006 Jesse Keating <jkeating@redhat.com> - 0.1-2
- Bump for newer mock
- Add dist

* Thu Apr 13 2006 David Nielsen <david@lovesunix.net> - 0.1-1
- Initial import
